package com.gyee.frame.service;

import java.util.List;
import java.util.Arrays;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.common.support.Convert;
import com.gyee.frame.mapper.auto.GyeeuserMapper;
import com.gyee.frame.model.auto.Gyeeuser;
import com.gyee.frame.model.auto.GyeeuserExample;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.util.SnowflakeIdWorker;

/**
 *  GyeeuserService
 * @Title: GyeeuserService.java 
 * @Package com.gyee.frame.service 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-15 16:48:37  
 **/
@Service
public class GyeeuserService implements BaseService<Gyeeuser, GyeeuserExample>{
	@Autowired
	private GyeeuserMapper gyeeuserMapper;
	
      	   	      	      	      	      	
	/**
	 * 分页查询
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	 public PageInfo<Gyeeuser> list(Tablepar tablepar,String name){
	        GyeeuserExample testExample=new GyeeuserExample();
	        testExample.setOrderByClause("id ASC");
	        if(name!=null&&!"".equals(name)){
	        	testExample.createCriteria().andUsernameLike("%"+name+"%");
	        }

	        PageHelper.startPage(tablepar.getPageNum(), tablepar.getPageSize());
	        List<Gyeeuser> list= gyeeuserMapper.selectByExample(testExample);
	        PageInfo<Gyeeuser> pageInfo = new PageInfo<Gyeeuser>(list);
	        return  pageInfo;
	 }

	@Override
	public int deleteByPrimaryKey(String ids) {
				
			List<String> lista=Convert.toListStrArray(ids);
			GyeeuserExample example=new GyeeuserExample();
			example.createCriteria().andIdIn(lista);
			return gyeeuserMapper.deleteByExample(example);
			
				
	}
	
	
	@Override
	public Gyeeuser selectByPrimaryKey(String id) {
				
			return gyeeuserMapper.selectByPrimaryKey(id);
				
	}

	
	@Override
	public int updateByPrimaryKeySelective(Gyeeuser record) {
		return gyeeuserMapper.updateByPrimaryKeySelective(record);
	}
	
	
	/**
	 * 添加
	 */
	@Override
	public int insertSelective(Gyeeuser record) {
				
		//添加雪花主键id
		record.setId(SnowflakeIdWorker.getUUID());
			
				
		return gyeeuserMapper.insertSelective(record);
	}
	
	
	@Override
	public int updateByExampleSelective(Gyeeuser record, GyeeuserExample example) {
		
		return gyeeuserMapper.updateByExampleSelective(record, example);
	}

	
	@Override
	public int updateByExample(Gyeeuser record, GyeeuserExample example) {
		
		return gyeeuserMapper.updateByExample(record, example);
	}

	@Override
	public List<Gyeeuser> selectByExample(GyeeuserExample example) {
		
		return gyeeuserMapper.selectByExample(example);
	}

	
	@Override
	public long countByExample(GyeeuserExample example) {
		
		return gyeeuserMapper.countByExample(example);
	}

	
	@Override
	public int deleteByExample(GyeeuserExample example) {
		
		return gyeeuserMapper.deleteByExample(example);
	}
	
	/**
	 * 检查name
	 * @param gyeeuser
	 * @return
	 */
	public int checkNameUnique(Gyeeuser gyeeuser){
		GyeeuserExample example=new GyeeuserExample();
		example.createCriteria().andUsernameEqualTo(gyeeuser.getUsername());
		List<Gyeeuser> list=gyeeuserMapper.selectByExample(example);
		return list.size();
	}
	
	/**
	 * 
		 *@author:Li Miao
		 *
		 *@description: 获取用户id
		 *
		 *@param:gyeeuser
		 *
		 *@return:id
		 *
		 *@createTime:2020年4月16日
		 *
	 */
	public String queryIdByUserNamePassWord(Gyeeuser gyeeuser){
		return gyeeuserMapper.queryIdByUserNamePassWord(gyeeuser);
	}


}
